Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1294873 - Do not package ghc-split on MIPS
Summary: Do not package ghc-split on MIPS
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ghc
Version: 24
Hardware: mips64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: MIPS
TreeView+ depends on / blocked
 
Reported: 2015-12-30 19:25 UTC by Michal Toman
Modified: 2016-07-27 18:56 UTC (History)
3 users (show)

Fixed In Version: ghc-7.8.4-48.fc24
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-27 18:56:34 UTC


Attachments (Terms of Use)
do-not-package-ghc-split-on-MIPS.patch (deleted)
2015-12-30 19:25 UTC, Michal Toman
no flags Details | Diff

Description Michal Toman 2015-12-30 19:25:24 UTC
Created attachment 1110594 [details]
do-not-package-ghc-split-on-MIPS.patch

Description of problem:
We are trying to bring Fedora to MIPS platform and this requires excluding ghc-split from ghc package on MIPS.

Actual results:
ghc tries to package ghc-split that does not exist on MIPS

Expected results:
ghc does not package ghc-split on MIPS

Additional info:
Attaching a dist-git patch.

Comment 1 Jan Kurik 2016-02-24 14:11:40 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 2 Jens Petersen 2016-03-07 16:26:18 UTC
Apologies I didn't see this before...

I have committed the change to ghc.spec in pkg git master.

Comment 3 Jens Petersen 2016-05-19 01:48:08 UTC
Is that the only change in ghc.spec needed to enable MIPS?

Comment 4 Michal Toman 2016-05-20 12:00:21 UTC
Yes it is

Comment 5 Jens Petersen 2016-05-26 08:20:31 UTC
Okay thanks you for your patience.
I just pushed ghc-7.8.4-48.fc24 to koji:

http://koji.fedoraproject.org/koji/taskinfo?taskID=14258336

Comment 6 Fedora Update System 2016-05-27 01:10:41 UTC
ghc-7.8.4-48.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-adf100b036

Comment 7 Fedora Update System 2016-05-28 03:26:19 UTC
ghc-7.8.4-48.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-adf100b036

Comment 8 Jens Petersen 2016-06-03 09:23:54 UTC
Let me know if you need a F25 build too.

(F25 is moving to ghc-7.10.3 anyway.)

Comment 9 Jens Petersen 2016-06-22 00:53:54 UTC
Not sure if you are waiting for me, I am waiting for you to test this anyway, but maybe you want it to go stable before you test/build it for mips?

Comment 10 Michal Toman 2016-06-28 14:14:38 UTC
Oh, my bad, everything works fine, you may close the bug.

Comment 11 Jens Petersen 2016-07-11 06:27:38 UTC
Pardon? :)

I am but sure what you want/mean:
Are you're asking the update to be pushed stable?
Or do you mean you don't need the update anymore??

If you could update https://bodhi.fedoraproject.org/updates/FEDORA-2016-adf100b036 that would be ideal.

I am asking these questions since I only want to push trivial update for other archs if/when it is needed.

Comment 12 Fedora Update System 2016-07-27 18:56:30 UTC
ghc-7.8.4-48.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.